Method: metricDefinitions.list

Full name: projects.locations.instances.metricDefinitions.list

List all MetricDefinitions for a given instance.

HTTP request

GET https://{endpoint}/v1alpha/{parent}/metricDefinitions

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The instance to list MetricDefinitions for. Format: projects/{project}/locations/{location}/instances/{instance}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of MetricDefinitions to return. The service may return fewer than this value. If unspecified, at most 100 MetricDefinitions will be returned. The maximum value is 100; values above 100 will be coerced to 100.

pageToken

string

Optional. A page token, received from a previous metricDefinitions.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to metricDefinitions.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for metricDefinitions.list method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "metricDefinitions": [
    {
      object (MetricDefinition)
    }
  ],
  "nextPageToken": string
}
Fields
metricDefinitions[]

object (MetricDefinition)

The list of MetricDefinitions. Not ordered.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.